Package org.gradle.api.plugins

## Class ProjectReportsPluginConvention

- java.lang.Object
- - org.gradle.api.plugins.ProjectReportsPluginConvention

-     public abstract class ProjectReportsPluginConvention
      extends Object

  The conventional configuration for the `ProjectReportsPlugin`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProjectReportsPluginConvention()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract File` | `getProjectReportDir()` | Returns the directory to generate the project reports into.
    `abstract String` | `getProjectReportDirName()` | The name of the directory to generate the project reports into, relative to the project's reports dir.
    `abstract Set<Project>` | `getProjects()` |
    `abstract void` | `setProjectReportDirName​(String projectReportDirName)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProjectReportsPluginConvention

          public ProjectReportsPluginConvention()

  - ### Method Detail

    - #### getProjectReportDirName

          public abstract String getProjectReportDirName()

      The name of the directory to generate the project reports into, relative to the project's reports dir.

    - #### setProjectReportDirName

          public abstract void setProjectReportDirName​(String projectReportDirName)

    - #### getProjectReportDir

          public abstract File getProjectReportDir()

      Returns the directory to generate the project reports into.

    - #### getProjects

          public abstract Set<Project> getProjects()